xine-lib: nal_unit Struct Reference

xine-lib 1.2.12

Data Fields
nal_unit Struct Reference

## Data Fields
uint8_t | nal_ref_idc
enum nal_unit_types | nal_unit_type
struct sei_message | sei
struct seq_parameter_set_rbsp | sps
struct pic_parameter_set_rbsp | pps
struct slice_header | slc
struct nal_unit * | prev
struct nal_unit * | next
uint32_t | lock_counter

## Field Documentation

## ◆ lock_counter

uint32_t nal_unit::lock_counter

Referenced by create_nal_unit(), lock_nal_unit(), and release_nal_unit().

## ◆ nal_ref_idc

uint8_t nal_unit::nal_ref_idc

Referenced by parse_nal(), parse_nal_header(), and parse_slice_header().

## ◆ nal_unit_type

enum nal_unit_types nal_unit::nal_unit_type

Referenced by nal_buffer_get_by_pps_id(), nal_buffer_get_by_sps_id(), parse_dec_ref_pic_marking(), parse_nal(), parse_nal_header(), and parse_slice_header().

## ◆ next

struct nal_unit* nal_unit::next

Referenced by free_nal_buffer(), nal_buffer_append(), and nal_buffer_remove().

## ◆ pps

struct pic_parameter_set_rbsp nal_unit::pps

Referenced by calculate_pic_order(), check_progressive(), interpret_pps(), interpret_slice_header(), nal_buffer_get_by_pps_id(), parse_nal_header(), parse_pred_weight_table(), and parse_slice_header().

## ◆ prev

struct nal_unit* nal_unit::prev

Referenced by nal_buffer_append(), nal_buffer_get_by_pps_id(), nal_buffer_get_by_sps_id(), and nal_buffer_remove().

## ◆ sei

struct sei_message nal_unit::sei

Referenced by check_progressive(), dp_top_field_first(), interpret_sei(), and parse_nal_header().

## ◆ slc

struct slice_header nal_unit::slc

Referenced by calculate_pic_nums(), calculate_pic_order(), check_progressive(), decoded_pic_check_reference(), dp_top_field_first(), execute_ref_pic_marking(), fill_vdpau_reference_list(), interpret_slice_header(), interpret_sps(), parse_dec_ref_pic_marking(), parse_nal(), parse_ref_pic_list_reordering(), parse_slice_header(), and process_mmc_operations().

## ◆ sps

struct seq_parameter_set_rbsp nal_unit::sps

Referenced by calculate_pic_nums(), calculate_pic_order(), check_progressive(), interpret_pps(), interpret_sei(), interpret_sps(), nal_buffer_get_by_sps_id(), parse_codec_private(), parse_nal(), parse_nal_header(), parse_pred_weight_table(), parse_sei(), and parse_slice_header().

The documentation for this struct was generated from the following file:

- xine-lib-1.2.12/src/video_dec/libvdpau/vdpau_h264.c